#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    long int n,k,i,sum=0;
    cin>>n>>k;
    long int a[n];
    for(i=0;i<n;i++)
    {
        cin>>a[i];
        sum+=a[i];
    }
    cout<<pow(sum,k+1)/(1+2*k)<<endl;

    return 0;
}